Payment plans are a specific type of hardship tool that can be used to create a temporary loan schedule for a borrower. Lenders can create a payment plan by specifying the paymentPlanType, numberOfPeriods and amount. After the numberOfPeriods ends, any remaining periods of the loan will be paid according to the originally scheduled recurring amount and frequency of the loan at the time when the payment plan was created.
When the agreed upon recurring payment plan amount is less than the originally scheduled payment amount, the system uses isExtendLoanDuration to ascertain whether to keep the existing loan duration or automatically extend the original loan duration.
When the agreed upon recurring payment plan amount is more than the originally scheduled recurring amount, the loan duration will be shortened to the point where the remaining balance of the loan is paid off.
Only one active payment plan is allowed at a time. Please note that creating an active payment plan will overwrite changes made to the loan schedule such as due date deferrals, change due date, and change loan terms. This is because the payment plan by design creates a new loan schedule.
If a loan is on a payment plan, other hardship tools cannot be used. Lenders must cancel the payment plan and then make any required loan modifications.
Payment plan is presently for installment only.
Returns all payment plans associated with a loan.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/custom-payment-plans?status=active' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "count": 0, "status": 0, "data": [ { … } ] }